撸linux


Manjaro Linux局部升级Qt5版本

因查看透明png图片需要有一个能设置背景的图像浏览工具,试用了lximage、viewnior、eog、xv、nomacs、netpbm、geeqie、deepin-image-viewer、gwenview等软件,其中安装deepin-image-viewer、gwenview、nomacs都依赖最新的qt5.7,无法继续。用pamac-manager发现安装的几个qt5相关包的确处于v5.6阶段,而其他没有安装的qt5包在pamac-manager里显示的都是5.7。

首先想到的是pacman -Syu,结果一大堆依赖问题无法解决,放弃。

然后用pacman -S qt5-base,发现fcitx有兼容性问题,于是pacman -S qt5-base fcitx-qt5,好了qt5升级了。

但是nomacs运行的时候还是提示兼容性的问题,于是按照pamac-manager列表升级了所有qt5的包,pacman -S qt5-tools qt5-webkit qt5-declarative qt5-xmlpatterns qt5-script qt5-quickcontrols qt5-multimedia qt5-location qt5-svg qt5-sensors qt5-graphicaleffects qt5-imageformats qt5-webchannel,终于搞定,nomacs能正常运行了。

以前用archlinux的时候习惯用pacman -Syu一键全面升级系统,其实没必要这么做,用pacman -S命令局部升级部分软件就可以了。

相关博文



发表评论

电子邮件地址不会被公开。